Bugzilla will be upgraded to version 5.0. The upgrade date is tentatively scheduled for 2 December 2018, pending final testing and feedback.
Bug 603224 - wireshark 1.2.9: specfile cleaning - LDFLAGS
wireshark 1.2.9: specfile cleaning - LDFLAGS
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: wireshark (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Jan Safranek
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-06-11 19:30 EDT by Jose Pedro Oliveira
Modified: 2010-07-22 04:19 EDT (History)
2 users (show)

See Also:
Fixed In Version: wireshark-1.2.9-3.fc14
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-07-22 04:19:34 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jose Pedro Oliveira 2010-06-11 19:30:43 EDT
Description of problem:
There are several libraries being added to the linking process through the LDFLAGS environment variable. At least two of them appear to be redundant as of wireshark 1.2.9.

Version-Release number of selected component (if applicable):
wireshark-1.2.9-1


Additional info:
The -lm library problem has been recently fixed upstream
(see https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=4815).


Patch:
----------
--- wireshark.spec.129_1        2010-06-11 13:47:06.000000000 +0100
+++ wireshark.spec      2010-06-11 15:52:24.299094498 +0100
@@ -136,7 +136,7 @@
 export RPM_OPT_FLAGS=${RPM_OPT_FLAGS//-fstack-protector/-fstack-protector-all}
 export CFLAGS="$RPM_OPT_FLAGS $CPPFLAGS $PIECFLAGS"
 export CXXFLAGS="$RPM_OPT_FLAGS $CPPFLAGS $PIECFLAGS"
-export LDFLAGS="$LDFLAGS -lm -lcrypto -pie"
+export LDFLAGS="$LDFLAGS -pie"
 %if %{svn_version}
 ./autogen.sh
 %endif
----------

Note You need to log in before you can comment on or make changes to this bug.